Debian Bug report logs - #510127
jack-audio-connection-kit: FTBFS on GNU/kFreeBSD

version graph

Package: jack-audio-connection-kit; Maintainer for jack-audio-connection-kit is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Petr Salinger <Petr.Salinger@seznam.cz>

Date: Mon, 29 Dec 2008 15:27:04 UTC

Severity: important

Tags: patch

Found in version 0.116.1-2

Fixed in version jack-audio-connection-kit/0.116.1-4

Done: Reinhard Tartler <siretart@tauware.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#510127; Package jack-audio-connection-kit. (Mon, 29 Dec 2008 15:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
New Bug report received and forwarded. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 29 Dec 2008 15:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: submit@bugs.debian.org
Subject: jack-audio-connection-kit: FTBFS on GNU/kFreeBSD
Date: Mon, 29 Dec 2008 16:48:07 +0100 (CET)
Package: jack-audio-connection-kit
Severity: important
Version: 0.116.1-2
Tags: patch
User: glibc-bsd-devel@lists.alioth.debian.org
Usertags: kfreebsd

Hi,

the current version fails to build on GNU/kFreeBSD,
the previous 0.116.1-1 have been built fine.

It is due to just enabled NetJack backend.
It needs small tweak, see bellow.

It would also be nice if you can ask upstream
to include this change.

Thanks in advance

                        Petr


--- drivers/netjack/net_driver.c~
+++ drivers/netjack/net_driver.c
@@ -493,7 +493,7 @@
     {
        int r;

-#ifdef __APPLE__
+#if !defined(MSG_CONFIRM)
        static const int flag = 0;
 #else
        static const int flag = MSG_CONFIRM;





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#510127; Package jack-audio-connection-kit. (Fri, 09 Jan 2009 09:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Fri, 09 Jan 2009 09:48:02 GMT) Full text and rfc822 format available.

Message #10 received at 510127@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 510127@bugs.debian.org
Subject: [ping] jack-audio-connection-kit: FTBFS on GNU/kFreeBSD, one line fixup needed
Date: Fri, 9 Jan 2009 11:08:36 +0100 (CET)
Hi,

please could you consider upload jack-audio-connection-kit
with proposed one line patch.

In the current state libjack0.100.0-dev is uninstallable 
(libjack0.100.0-dev is arch all) and therefore also many usual 
build-depends, namely kdelibs4-dev and kdebase-dev.

Many thanks in advance

Petr







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#510127; Package jack-audio-connection-kit. (Sun, 11 Jan 2009 09:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 11 Jan 2009 09:57:33 GMT) Full text and rfc822 format available.

Message #15 received at 510127@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: control@bugs.debian.org
Cc: 510127@bugs.debian.org
Subject: setting package to libjack0.100.0-0 libjack-dev jackd libjack0 jack-audio-connection-kit libjack0.100.0-dev ...
Date: Sun, 11 Jan 2009 10:52:27 +0100
# Automatically generated email from bts, devscripts version 2.10.26ubuntu15.1
#
# jack-audio-connection-kit (0.116.1-4) unstable; urgency=low
#
#  * Bugfix: FTBFS on kFreeBSD (Closes: #510127) 

package libjack0.100.0-0 libjack-dev jackd libjack0 jack-audio-connection-kit libjack0.100.0-dev
tags 510127 + pending





Tags added: pending Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Sun, 11 Jan 2009 09:58:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#510127; Package jack-audio-connection-kit. (Tue, 20 Jan 2009 07:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 20 Jan 2009 07:30:02 GMT) Full text and rfc822 format available.

Message #22 received at 510127@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 510127@bugs.debian.org
Subject: [ping] jack-audio-connection-kit: FTBFS on GNU/kFreeBSD, one line fixup needed
Date: Tue, 20 Jan 2009 08:49:02 +0100 (CET)
Hello,

please could you do 0.116.1-4 *upload* soon and fix #510127 for us
and #460084 for armel (lenny release architecture).
Currently, we have at about 70 packages Dep-Waiting for this upload.

http://unstable.buildd.net/buildd/kfreebsd-i386_Dep-Wait.html
http://unstable.buildd.net/buildd/kfreebsd-amd64_Dep-Wait.html

Many thanks for helping us

	Petr



--- drivers/netjack/net_driver.c~
+++ drivers/netjack/net_driver.c
@@ -493,7 +493,7 @@
     {
        int r;

-#ifdef __APPLE__
+#if !defined(MSG_CONFIRM)
        static const int flag = 0;
 #else
        static const int flag = MSG_CONFIRM;




Reply sent to Reinhard Tartler <siretart@tauware.de>:
You have taken responsibility. (Fri, 27 Feb 2009 10:03:15 GMT) Full text and rfc822 format available.

Notification sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Bug acknowledged by developer. (Fri, 27 Feb 2009 10:03:15 GMT) Full text and rfc822 format available.

Message #27 received at 510127-close@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: 510127-close@bugs.debian.org
Subject: Bug#510127: fixed in jack-audio-connection-kit 0.116.1-4
Date: Fri, 27 Feb 2009 09:32:09 +0000
Source: jack-audio-connection-kit
Source-Version: 0.116.1-4

We believe that the bug you reported is fixed in the latest version of
jack-audio-connection-kit, which is due to be installed in the Debian FTP archive:

jack-audio-connection-kit_0.116.1-4.diff.gz
  to pool/main/j/jack-audio-connection-kit/jack-audio-connection-kit_0.116.1-4.diff.gz
jack-audio-connection-kit_0.116.1-4.dsc
  to pool/main/j/jack-audio-connection-kit/jack-audio-connection-kit_0.116.1-4.dsc
jackd_0.116.1-4_i386.deb
  to pool/main/j/jack-audio-connection-kit/jackd_0.116.1-4_i386.deb
libjack-dev_0.116.1-4_i386.deb
  to pool/main/j/jack-audio-connection-kit/libjack-dev_0.116.1-4_i386.deb
libjack0.100.0-0_0.116.1-4_all.deb
  to pool/main/j/jack-audio-connection-kit/libjack0.100.0-0_0.116.1-4_all.deb
libjack0.100.0-dev_0.116.1-4_all.deb
  to pool/main/j/jack-audio-connection-kit/libjack0.100.0-dev_0.116.1-4_all.deb
libjack0_0.116.1-4_i386.deb
  to pool/main/j/jack-audio-connection-kit/libjack0_0.116.1-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510127@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Reinhard Tartler <siretart@tauware.de> (supplier of updated jack-audio-connection-kit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 24 Feb 2009 23:04:00 +0100
Source: jack-audio-connection-kit
Binary: jackd libjack0 libjack0.100.0-0 libjack-dev libjack0.100.0-dev
Architecture: source all i386
Version: 0.116.1-4
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Reinhard Tartler <siretart@tauware.de>
Description: 
 jackd      - JACK Audio Connection Kit (server and example clients)
 libjack-dev - JACK Audio Connection Kit (development files)
 libjack0   - JACK Audio Connection Kit (libraries)
 libjack0.100.0-0 - JACK Audio Connection Kit (libraries)
 libjack0.100.0-dev - JACK Audio Connection Kit (libraries)
Closes: 492628 504488 510127
Changes: 
 jack-audio-connection-kit (0.116.1-4) unstable; urgency=low
 .
   * Bugfix: FTBFS on kFreeBSD (Closes: #510127)
   * Remove obsolete debian/control.in file
   * debian/control: Reformat Build-Depends field
   * remove libcap-dev from Build-Depends and Build-Conflits. It was only
     useful for 2.4 kernels, that we don't want to support anymore
     anyways. (Closes: #492628)
   * Redirect stderr in bash completion (Closes: #504488) (LP: #139995)
   * use ${binary:Version} / ${source:Version} in debian/control instead of
     the deprecated ${Source-Version} substvar
Checksums-Sha1: 
 55a97e2fa6f9bef73696bb049998ca969abc3635 2273 jack-audio-connection-kit_0.116.1-4.dsc
 29a3697c5467c921b362786851bacdb720ad9922 31411 jack-audio-connection-kit_0.116.1-4.diff.gz
 5af7dac3459eaa32b4ead2cc15052f0b8db54064 14006 libjack0.100.0-0_0.116.1-4_all.deb
 c89fb410efcac3f87df87d82f3370eae07d34867 14012 libjack0.100.0-dev_0.116.1-4_all.deb
 dd9393dbfa1fec5f91a4d8373632b13044e9fb1f 88678 jackd_0.116.1-4_i386.deb
 f16348a68c5577092dc0cad4188830ac82cf4194 184838 libjack0_0.116.1-4_i386.deb
 cb255a0d6219ce545a0243fb973b74be748e2af3 256128 libjack-dev_0.116.1-4_i386.deb
Checksums-Sha256: 
 b6fd04adb3eb0e69778d8073d260554efb092150ca269ac97a8cc57cae6c6eca 2273 jack-audio-connection-kit_0.116.1-4.dsc
 bd8c970b6e0b1b9d22c23971dc47943e11787b4a3a28f12843babf32641d5d1c 31411 jack-audio-connection-kit_0.116.1-4.diff.gz
 b1b1ffc52ce8489d6feb5859036a9c5e79f377f82c5ce843e71eee9ec36a3dfd 14006 libjack0.100.0-0_0.116.1-4_all.deb
 a4cda6d608d464bc9f1ab8b3cbaab7f5ead212adccb515095c09e63582df1e83 14012 libjack0.100.0-dev_0.116.1-4_all.deb
 550377215005b371824e156cf3ef7c7f078a9b152a9cbe8a7f2c37632012f059 88678 jackd_0.116.1-4_i386.deb
 e646fc2bc86dff40bd1b3622fe750dfbc2fbf490fe2c243365930265fdbedded 184838 libjack0_0.116.1-4_i386.deb
 605a491e49986dc5ca38b4cdf51766dee10b3258f54f9f2790305e30370c6b39 256128 libjack-dev_0.116.1-4_i386.deb
Files: 
 4f94f87d03bc1f8802d851bda6e6352d 2273 sound optional jack-audio-connection-kit_0.116.1-4.dsc
 3a44d104fb05a1594977178f40951d70 31411 sound optional jack-audio-connection-kit_0.116.1-4.diff.gz
 7f074f656fbdf68c32b0b59c623cb47f 14006 libs optional libjack0.100.0-0_0.116.1-4_all.deb
 4885eb76bd17cc36c0f21e5cbcc0d4d5 14012 libs optional libjack0.100.0-dev_0.116.1-4_all.deb
 73d871dac69416dce9eb481366a20eb7 88678 sound optional jackd_0.116.1-4_i386.deb
 1f376897b3827e14ae415a01b3a95bdd 184838 libs optional libjack0_0.116.1-4_i386.deb
 1ca4f315622936c1095b17ebd5dba401 256128 libdevel optional libjack-dev_0.116.1-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Debian Powered!

iJwEAQECAAYFAkmnsTUACgkQ78RAoABp8o9ONwQAlISaOA9e4GGohF8OYAHwSPPl
uduj5tV26Jev5fjPAUGZeFNOWdLV7r2MQQbyLLeFnHdEDWfUt+DNckrs719FvL/E
7OLUVr1g09Gw/06J1g6gsDZtuKmah8f6O/CFy7f/lxKuW1N93PxNzS/O6YqXZU27
XQLzg0xF7OsImcVozbI=
=ZfSx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 27 Apr 2009 07:29:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:15:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.